--- title: "Get Live Count" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-streams/get-live-count/ description: "This API retrieves the number of active live clients currently connected to a specific Datastream channel." last_updated: 2026-07-07T05:22:22Z service: Cloud Scale type: api --- # Get Live Count ### Description This API retrieves the number of active live clients currently connected to a specific [Datastream channel](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-streams/introduction/). ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/datastreams/channel/{channel_name}/liveclient - **api-domain** (URL): The DC-specific domain used to access Catalyst APIs - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the Catalyst project - **channel_name** (String): The name of the Datastream channel #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.datastreams.connections.READ ### Response Details On successful execution, the response contains the count of live clients or list of subscribers currently connected to the specified Datastream channel. **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/20084000000589014/datastreams/channel/testing/liveclient \ -H "Authorization: Zoho-oauthtoken 1000.f53426c0cee59aaa57f1f158f5f271ca.ba782e5510151a126a08232e7958b24d" \ -H "CATALYST-ORG: 89773766" \ -H "Environment: Development" ``` ### SDK Documentation [Get Live Count- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/data-streams/get-live-count/) [Get Live Count- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/data-streams/get-live-count/) [Get Live Count- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/data-streams/get-live-count/)